###############################################################################
# Paul Gampe - <pgampe@redhat.com>
# TODO: Localize language names when rpm supports utf-8 spec files
###############################################################################
%define lang_code es
%define lang_name Spanish

Copyright: distributable
Source: rhel-ig-s390-multi-%{lang_code}-%{version}.tbz
Release: 4
Name: rhel-ig-s390-multi-%{lang_code}
Group: Documentation
URL: http://www.redhat.com/docs/
Version: 3
Summary: IBM S/390 and IBM eServer zSeries Installation Guide (%{lang_code})
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description 
The %{lang_name} Red Hat Enterprise Linux %{version} Installation Guide
for the IBM S/390 and IBM eServer zSeries Architectures covers Red Hat
Enterprise Linux installation methods. Every installation step is
discussed in detail, including system requirements, starting the
installation, choosing an installation type, configuring X, and
entering network information.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Installation Guide for IBM S/390 and IBM eServer zSeries (%{lang_code})
Comment=Read about installing Red Hat Enterprise Linux (%{lang_name})
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Wed Mar 24 2004 Paul Gampe <pgampe@redhat.com>
- Further renaming changes

* Thu Mar 04 2004 Paul Gampe <pgampe@redhat.com>
- Renaming to x86-64

* Tue Oct 07 2003 Paul Gampe <pgampe@redhat.com>
- correct naming

* Mon Sep 08 2003 Paul Gampe <pgampe@redhat.com>
- Initial spec


